View Issue Details

IDProjectCategoryView StatusLast Update
0024657Open CASCADEOCCT:Modeling Algorithmspublic2022-04-10 10:48
ReporteribsAssigned ToAndreyLA 
PrioritynormalSeveritymajor 
Status verifiedResolutionfixed 
Product Version6.7.0 
Target Version7.7.0 
Summary0024657: 2dintersect returns different number of intersect points
Description2dintersect depends on 2d curve arg sequence:

there is the case when:
"2dintersect curve1 curve2" returns one intersect point
but
"2dintersect curve2 curve1" returns TWO intersect points
Steps To Reproducerestore bug24657.brep a
explode a e
pcu p4 a_4 a
pcu p5 a_5 a
2dintersect p4 p5 -tol 10e-7
2dintersect p5 p4 -tol 10e-7


TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24657

Attached Files

  • bug24657.brep (10,599 bytes)

Activities

ibs

2014-02-24 19:43

developer  

bug24657.brep (10,599 bytes)

ibs

2014-02-25 16:18

developer   ~0028030

dear ifv, please review CR24657 branch

ifv

2014-02-26 17:21

developer   ~0028040

Ok

mkv

2014-02-27 18:54

tester   ~0028059

Dear BugMaster,

Branch CR24657 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 241c852f5210dd78a507d48c6b2e3754bece389e

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24657-master-occt/Debian60-64/summary.html
http://occt-tests/CR24657-master-occt/Windows-32-VC9/summary.html
Improvements:
de iges_1(001) F9
de iges_2(002) G7
de step_2(005) D1
heal split_angle_advanced(012) Z3
heal split_closed_faces(011) G5
Failed:
de iges_1(001) G6, K3, L8, P8, R8
de iges_2(002) B8, C2, F4
de step_2(005) M4
de step_3(006) C4, D9, E6, F2
heal split_angle_advanced(012) ZA5, ZA6


http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24657/job/mnt-CR24657-master_products_tests_linux_start/label=Debian60-64,tests_group=parasolid,tests_subgroup=003/4/HTML_Report/?
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24657/job/mnt-CR24657-master_products_tests_windows_start/label=windows_test,tests_group=parasolid,tests_subgroup=003/2/HTML_Report/?
parasolid doc_3(003) E3

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24657/job/mnt-CR24657-master_products_tests_linux_start/label=Debian60-64,tests_group=sat,tests_subgroup=001/4/HTML_Report/?

sat doc_1(001) ZV5

Testing cases:
http://occt-tests/CR24657-master-occt/Debian60-64/bugs/modalg_5/bug24657.html
http://occt-tests/CR24657-master-occt/Windows-32-VC9/bugs/modalg_5/bug24657.html
bugs modalg_5(010) bug24657: OK

Testing on Linux:
Total MEMORY difference: 379407000 / 378983764
Total CPU difference: 49329.440000000024 / 43578.700000000004

Testing on Windows:
Total MEMORY difference: 426789228 / 426390392
Total CPU difference: 26989.875 / 33726.015625

There are following differences in images found by testdiff.
http://occt-tests/CR24657-master-occt/Debian60-64/diff-Debian60-64.html
http://occt-tests/CR24657-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html
IMAGE bugs iges bug22504: bug22504_Driver1_Viewer1_View1.png differs

ibs

2014-03-07 18:14

developer   ~0028185

Last edited: 2014-03-11 12:05

de step_3 C4
  max tol is the same as before but average tol has increased. it isn't regression
  
de iges_2 C2
  max tol is smaller. it is IMPROVEMENT
  
de step_2 M4
  max tol is smaller. it is IMPROVEMENT

heal split_angle_advanced ZA6
 the num of errors has decreased. it is IMPROVEMENT

heal split_angle_advanced ZA5
 the num of errors has decreased. it is IMPROVEMENT

all other aren't regressions (have different secondary params)

checkshape questions in the process: de step_3 D9, de iges_2 F4

ibs

2014-03-12 12:19

developer   ~0028217

de iges_2 F4

this test contains a new additional faulty. the new one (wire self-intersection) appeared after loopback test due to poly intersection algorithm seeks with both criteria: exact intersection (in parametric space) and “node” intersection. The last criterion has been turned on (findIntersect method, last param is TRUE) due to the being processed polygons aren’t complemented by new points (ComputeWithBox isn’t used already).
So I deem the faulty isn’t regression

ibs

2014-03-20 14:38

developer   ~0028398

de step_3 D9

isn't regression (see 24743 issue)

ibs

2014-03-20 14:58

developer   ~0028400

and other
de iges_1(001) G6, K3, L8, P8, R8
de iges_2(002) B8
de step_3(006) C4, E6, F2

aren't regressions

ibs

2014-03-20 17:54

developer   ~0028406

Last edited: 2014-03-20 17:55

##copied from #24549 , http://tracker.dev.opencascade.org/view.php?id=24549#c28405

mkv:

Dear BugMaster,

Branch CR24549_with24657 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 88f9b3b2373f9547c91679565e8c4c4be873f891

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24549-24657-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24549-24657-master-occt/Windows-32-VC9/summary.html [^]
Improvements:
bugs heal bug210
de iges_2 E3
de step_1 N3
de step_2 G1
Failed:
de iges_1(001) B4, L5, Q3, R5
de iges_2(002) A9, B1, C4, G1, G8, I7
de iges_3(003) A2
de step_1(004) A3, G9, V3
de step_2(005) D7, D8, F1, K1, O8, Y5
de step_3(006) A5, A9, B5, C6, D8, D9, E6
de step_4(007) I2
de step_5(008) A1, A3
xcaf brep_to_stp_add_CL(009) I6

Testing cases:
http://occt-tests/CR24549-24657-master-occt/Debian60-64/bugs/heal/bug24549.html [^]
http://occt-tests/CR24549-24657-master-occt/Windows-32-VC9/bugs/heal/bug24549.html [^]
bugs heal(017) bug24549: OK

Testing on Linux:
Total MEMORY difference: 384014256 / 380174460
Total CPU difference: 44659.88000000026 / 46659.64

Testing on Windows:
Total MEMORY difference: 421755968 / 418700688
Total CPU difference: 31584.203125 / 30899.28125

There are following differences in images found by testdiff.
http://occt-tests/CR24549-24657-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24549-24657-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs iges bug22504: bug22504_Driver1_Viewer1_View1.png differs

ibs

2014-03-20 18:19

developer   ~0028408

there is the problem in CR24549_with24657 results. the pin on image in "bugs iges bug22504" is shifted.

but the pin on the image of current CR24657 (rebased at IR-2014-03-20) branch isn't shifted.

ibs

2014-03-20 19:02

developer   ~0028410

dear mkv, please test CR24657 branch

mkv

2014-03-25 15:42

tester   ~0028466

Dear BugMaster,

Branch CR24657 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 6b7715f685340b9785428b6391ff0324692129e4

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24657-master-occt/Debian60-64/de/step_3/D3.html
Improvements:
de step_3(006) D3 - corrected and pushed to branch CR24657

Testing cases:
http://occt-tests/CR24657-master-occt/Debian60-64/bugs/modalg_5/bug24657.html
http://occt-tests/CR24657-master-occt/Windows-32-VC9/bugs/modalg_5/bug24657.html
bugs modalg_5(010) bug24657: OK

Testing on Linux:
Total MEMORY difference: 390844552 / 390850480
Total CPU difference: 47064.130000000005 / 51146.809999999656

Testing on Windows:
Total MEMORY difference: 435054348 / 433684232
Total CPU difference: 33036.875 / 35632.53125

There are following differences in images found by testdiff.
http://occt-tests/CR24657-master-occt/Debian60-64/diff-Debian60-64.html
http://occt-tests/CR24657-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html
IMAGE bugs iges bug22504: bug22504_Driver1_Viewer1_View1.png differs

ibs

2014-03-25 17:39

developer   ~0028474

i have executed "bugs iges bug22504" test case on "windows 32 vc10" (current CR24657 branch) and it isn't different from master.

and also the made fixes in this issue shouldn't do any influence at the executed test.

dear bugmaster, please integrate

bugmaster

2014-03-28 15:54

administrator   ~0028543

Problem bugs iges bug22504 is reproduced on IR-2014-03-27

ibs

2014-03-28 16:01

developer   ~0028544

Ok. I'll start to investigate this problem more deeper

azv

2022-03-21 20:12

administrator   ~0107381

The problem looks fixed. Dear @AndreyLA, please, investigate.

AndreyLA

2022-03-24 16:51

viewer   ~0107420

The issue currently cannot be reproduced on master.

git

2022-03-24 17:36

administrator   ~0107422

Branch CR24657_1 has been created by AndreyLA.

SHA-1: 953f38dc5171be74d645d94b79e7f9b832ec9867


Detailed log of new commits:

Author: Andrei LATYSHEV
Date: Thu Mar 24 17:36:11 2022 +0300

    0024657: 2dintersect returns different number of intersect points in curve intersecting the polygon points is never replaced by line
    
    Test for 2d intersection is added

git

2022-03-28 12:19

administrator   ~0107442

Branch CR24657_1 has been updated forcibly by AndreyLA.

SHA-1: 76b40c595760dd96468e74abb22816ac57e2be54

AndreyLA

2022-03-28 16:32

viewer   ~0107448

Please review branch CR24657_1
Test results are attached:
http://jenkins-test-occt/view/CR24657_1-master-ALATYSHE/view/ALL/

azv

2022-03-28 22:56

administrator   ~0107452

Andrey, I propose to perform the most clear check that the order of intersected curves does not matter. I mean that the results of intersections should be the same, and I propose to implement this check in the test as well.

Also, please, use v2d2 command instead of av2d to display 2D view.

git

2022-03-30 17:56

administrator   ~0107485

Branch CR24657_1 has been updated forcibly by AndreyLA.

SHA-1: 3c642c310bf2b3e9bfbf6de0bc79094e880dba0a

azv

2022-03-31 10:00

administrator   ~0107501

1. Does the following statement correct?
# Check if the number of intersections is more than 2


2. Wrong usage of regexp:
# Verify the coordinates of the intersection points
set xint1 [regexp -all {1.10000000} ${inter1}]
set xint2 [regexp -all {1.10000000} ${inter2}]
set yint1 [regexp -all {59.4123777} ${inter1}]
set yint2 [regexp -all {59.4123777} ${inter2}]


You search the exact string instead of parsing values by regular expression and then checking the values are equal. What if 2dintersect returns the values you searching, but on the wrong places?

Please, look at other tests parsing the result of certain operation by regexp.

git

2022-03-31 16:47

administrator   ~0107517

Branch CR24657_1 has been updated forcibly by AndreyLA.

SHA-1: 095425e65c65d54d52daa4e7eacb243932436324

azv

2022-03-31 21:58

administrator   ~0107521

Andrey, unfortunately, your test case failed on both Windows and Linux platforms.

And I also have a couple of remarks:

1. I suppose, we could check here parameters on each curve together with checking the point coordinates. Then it will be complete test case.

2. There is a Tab sign in line 33. Please, substitute it by spaces.

git

2022-04-01 07:56

administrator   ~0107524

Branch CR24657_1 has been updated forcibly by AndreyLA.

SHA-1: d984c45a6a3d0ca8755abca02ca7ff619e7a5eb5

git

2022-04-05 10:50

administrator   ~0107629

Branch CR24657_1 has been updated forcibly by azv.

SHA-1: 844cc700ed6cce0f8ba8886facf76df2e45dc21a

azv

2022-04-05 13:09

administrator   ~0107636

Branches to be integrated:
OCCT: CR24657_1
Products: NOT

smoskvin

2022-04-09 09:49

administrator   ~0107786

Combination -
OCCT branch : IR-2022-04-08
master SHA - 7021de2fe7a69d4c788ccf43b8b096dbcc8597c8
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-08 SHA - e16d959d441765c483049307ba7293173532103a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18452.87000000039 / 18490.94000000032 [-0.21%]
Products
Total CPU difference: 11761.310000000152 / 11719.920000000124 [+0.35%]
Windows-64-VC14:
OCCT
Total CPU difference: 20539.828125 / 20552.71875 [-0.06%]
Products
Total CPU difference: 13248.21875 / 13242.609375 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-10 10:48

administrator   ~0107806

Branch CR24657 has been deleted by mnt.

SHA-1: f020bc072e8b9ee2b640cb9e11978808e9fedb8f

git

2022-04-10 10:48

administrator   ~0107807

Branch CR24657_1 has been deleted by mnt.

SHA-1: 844cc700ed6cce0f8ba8886facf76df2e45dc21a

Related Changesets

occt: master fe12f15c

2022-03-24 17:36:11

AndreyLA


Committer: smoskvin Details Diff
0024657: 2dintersect returns different number of intersect points in curve intersecting the polygon points is never replaced by line

Test for 2d intersection is added
Affected Issues
0024657
add - tests/bugs/modalg_5/bug24657 Diff File

Issue History

Date Modified Username Field Change
2014-02-24 19:42 ibs New Issue
2014-02-24 19:42 ibs Assigned To => ibs
2014-02-24 19:43 ibs File Added: bug24657.brep
2014-02-24 19:43 ibs Steps to Reproduce Updated
2014-02-25 15:10 ibs Steps to Reproduce Updated
2014-02-25 15:20 ibs Summary fix orientation in ShapeFix_Face causes the appearance of new additional intersection point of two 2dcurves => 2dintersect returns different number of intersect points
2014-02-25 15:20 ibs Description Updated
2014-02-25 15:20 ibs Steps to Reproduce Updated
2014-02-25 16:18 ibs Assigned To ibs => ifv
2014-02-25 16:18 ibs Note Added: 0028030
2014-02-25 16:18 ibs Status new => resolved
2014-02-26 17:21 ifv Note Added: 0028040
2014-02-26 17:21 ifv Status resolved => reviewed
2014-02-26 17:45 mkv Assigned To ifv => mkv
2014-02-27 18:54 mkv Note Added: 0028059
2014-02-27 18:55 mkv Test case number => bugs modalg_5(010) bug24657
2014-02-27 18:55 mkv Assigned To mkv => ibs
2014-02-27 18:55 mkv Status reviewed => assigned
2014-03-07 18:14 ibs Note Added: 0028185
2014-03-11 12:05 ibs Note Edited: 0028185
2014-03-11 17:19 ibs File Added: res_1_284_with_fix.png
2014-03-11 17:19 ibs File Added: res_1_284_master.png
2014-03-11 17:20 ibs File Deleted: res_1_284_with_fix.png
2014-03-11 17:20 ibs File Deleted: res_1_284_master.png
2014-03-11 17:20 ibs File Added: res_1_284_master.png
2014-03-11 17:20 ibs File Added: res_1_284_with_fix.png
2014-03-11 17:34 ibs File Added: res_2_285.png
2014-03-11 17:34 ibs File Added: res_2_285_master.png
2014-03-11 17:34 ibs File Deleted: res_2_285.png
2014-03-11 17:35 ibs File Added: res_2_285_with_fix.png
2014-03-12 12:19 ibs Note Added: 0028217
2014-03-12 12:31 ibs File Deleted: res_1_284_with_fix.png
2014-03-12 12:31 ibs File Deleted: res_2_285_with_fix.png
2014-03-12 12:31 ibs File Added: de_step_3_D9_after_loopback_with_fix.png
2014-03-12 12:32 ibs File Added: de_step_3_D9_first_read_with_fix.png
2014-03-12 12:34 ibs File Deleted: res_2_285_master.png
2014-03-12 12:34 ibs File Deleted: res_1_284_master.png
2014-03-12 12:35 ibs File Added: de_step_3_D9_first_read_master.png
2014-03-12 12:35 ibs File Added: de_step_3_D9_after_loopback_master.png
2014-03-12 15:55 ibs Assigned To ibs => bugmaster
2014-03-12 15:55 ibs Status assigned => feedback
2014-03-17 19:00 ibs Assigned To bugmaster => ibs
2014-03-17 19:00 ibs Status feedback => assigned
2014-03-20 14:38 ibs Note Added: 0028398
2014-03-20 14:43 ibs File Deleted: de_step_3_D9_after_loopback_master.png
2014-03-20 14:43 ibs File Deleted: de_step_3_D9_after_loopback_with_fix.png
2014-03-20 14:43 ibs File Deleted: de_step_3_D9_first_read_with_fix.png
2014-03-20 14:43 ibs File Deleted: de_step_3_D9_first_read_master.png
2014-03-20 14:58 ibs Note Added: 0028400
2014-03-20 15:34 ibs Category OCCT:Shape Healing => OCCT:Modeling Algorithms
2014-03-20 15:35 ibs Target Version 7.0.0 => 6.7.1
2014-03-20 17:54 ibs Note Added: 0028406
2014-03-20 17:55 ibs Note Edited: 0028406
2014-03-20 18:19 ibs Note Added: 0028408
2014-03-20 19:02 ibs Note Added: 0028410
2014-03-20 19:02 ibs Assigned To ibs => mkv
2014-03-20 19:02 ibs Status assigned => feedback
2014-03-21 17:22 mkv Status feedback => reviewed
2014-03-25 15:42 mkv Note Added: 0028466
2014-03-25 15:42 mkv Assigned To mkv => ibs
2014-03-25 15:42 mkv Status reviewed => assigned
2014-03-25 17:39 ibs Note Added: 0028474
2014-03-25 17:39 ibs Assigned To ibs => bugmaster
2014-03-25 17:39 ibs Status assigned => feedback
2014-03-26 09:56 bugmaster Status feedback => tested
2014-03-28 15:54 bugmaster Note Added: 0028543
2014-03-28 15:54 bugmaster Assigned To bugmaster => ibs
2014-03-28 15:54 bugmaster Status tested => assigned
2014-03-28 16:01 ibs Note Added: 0028544
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-10-29 13:43 abv Target Version 6.8.0 => 7.1.0
2016-10-28 16:28 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:09 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:45 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:55 msv Target Version 7.5.0 => 7.6.0
2021-08-29 18:52 msv Target Version 7.6.0 => 7.7.0
2022-03-21 20:12 azv Assigned To ibs => AndreyLA
2022-03-21 20:12 azv Note Added: 0107381
2022-03-24 16:51 AndreyLA Note Added: 0107420
2022-03-24 17:36 git Note Added: 0107422
2022-03-28 12:19 git Note Added: 0107442
2022-03-28 12:29 AndreyLA Steps to Reproduce Updated
2022-03-28 16:31 AndreyLA Assigned To AndreyLA => azv
2022-03-28 16:31 AndreyLA Status assigned => resolved
2022-03-28 16:32 AndreyLA Note Added: 0107448
2022-03-28 22:56 azv Assigned To azv => AndreyLA
2022-03-28 22:56 azv Status resolved => assigned
2022-03-28 22:56 azv Note Added: 0107452
2022-03-30 17:56 git Note Added: 0107485
2022-03-31 09:43 AndreyLA Assigned To AndreyLA => azv
2022-03-31 09:43 AndreyLA Status assigned => resolved
2022-03-31 10:00 azv Assigned To azv => AndreyLA
2022-03-31 10:00 azv Status resolved => assigned
2022-03-31 10:00 azv Note Added: 0107501
2022-03-31 16:47 git Note Added: 0107517
2022-03-31 18:43 AndreyLA Assigned To AndreyLA => azv
2022-03-31 18:43 AndreyLA Status assigned => resolved
2022-03-31 21:58 azv Assigned To azv => AndreyLA
2022-03-31 21:58 azv Status resolved => assigned
2022-03-31 21:58 azv Note Added: 0107521
2022-04-01 07:56 git Note Added: 0107524
2022-04-05 10:50 git Note Added: 0107629
2022-04-05 11:41 azv Assigned To AndreyLA => azv
2022-04-05 11:41 azv Status assigned => resolved
2022-04-05 13:09 azv Assigned To azv => bugmaster
2022-04-05 13:09 azv Status resolved => reviewed
2022-04-05 13:09 azv Note Added: 0107636
2022-04-09 09:49 smoskvin Status reviewed => tested
2022-04-09 09:49 smoskvin Note Added: 0107786
2022-04-10 10:42 smoskvin Changeset attached => occt master fe12f15c
2022-04-10 10:42 AndreyLA Assigned To bugmaster => AndreyLA
2022-04-10 10:42 AndreyLA Status tested => verified
2022-04-10 10:42 AndreyLA Resolution open => fixed
2022-04-10 10:48 git Note Added: 0107806
2022-04-10 10:48 git Note Added: 0107807